<template>
  <div class="content">
    <PageTitle>Recente afbeeldingen</PageTitle>
    <div class="row">
      <div class="images-container">
        <img
          v-for="image in images1"
          :key="image"
          :src="'/api/image?name=test.png&uri=' + image.originalUrl"
        />
      </div>
      <div class="images-container">
        <img
          v-for="image in images2"
          :key="image"
          :src="'/api/image?name=test.png&uri=' + image.originalUrl"
        />
      </div>
      <div class="images-container">
        <img
          v-for="image in images3"
          :key="image"
          :src="'/api/image?name=test.png&uri=' + image.originalUrl"
        />
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import PageTitle from "./atoms/PageTitle.vue";

export default {
  components: { PageTitle },
  data() {
    return {
      images1: [],
      images2: [],
      images3: [],
    };
  },
  created() {
    this.getRecent();
  },
  methods: {
    async getRecent() {
      await axios.get("/api/image/recent").then((result) => {
        this.images1 = result.data.slice(0, result.data.length / 3);
        this.images2 = result.data.slice(
          result.data.length / 3,
          (2 * result.data.length) / 3
        );
        this.images3 = result.data.slice(
          (2 * result.data.length) / 3,
          result.data.length
        );
        console.log(result.data);
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.images-container {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  width: 30%;
  img {
    width: 100%;
    border: 1px solid var(--light-grey);
    border-radius: 1rem;
    margin: 0.5rem;
  }
}
</style>
